
From: <karl.vogel@seagha.com>

Following patch fixes it for 2 channel devices (like my notebook). 
Although I'm not sure if this is all that useful...  if there are workloads
other than audio work that need low latency, then this might be useful.

Without this patch, my machine was generating the latency each time artsd
(KDE) re-opened the audio device.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/sound/pci/intel8x0.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

diff -puN sound/pci/intel8x0.c~intel8x0-latency-fix sound/pci/intel8x0.c
--- 25/sound/pci/intel8x0.c~intel8x0-latency-fix	Fri Aug 20 17:15:22 2004
+++ 25-akpm/sound/pci/intel8x0.c	Fri Aug 20 17:15:22 2004
@@ -1024,8 +1024,10 @@ static void snd_intel8x0_setup_pcm_out(i
 			/* reset to 2ch once to keep the 6 channel data in alignment,
 			 * to start from Front Left always
 			 */
-			iputdword(chip, ICHREG(GLOB_CNT), (cnt & 0xcfffff));
-			mdelay(50); /* grrr... */
+			if (chip->multi4 || chip->multi6) {
+				iputdword(chip, ICHREG(GLOB_CNT), (cnt & 0xcfffff));
+				mdelay(50); /* grrr... */
+			}
 		} else if (chip->device_type == DEVICE_INTEL_ICH4) {
 			if (sample_bits > 16)
 				cnt |= ICH_PCM_20BIT;
_
